@import "@/styles/variables";

.data-table-container {
    border-radius: 8px;
    border: 1px solid $gray-color-300;
    box-shadow: 0 2px 6px rgb(0 0 0 / 10%);
    overflow-x: auto;

    li {
        list-style-type: none;
    }
}

.data-table {
    width: 100%;
    border-collapse: collapse;

    td {
        padding: 24px 8px;
        border-bottom: 1px solid $gray-color-300;
        text-align: left;
        font-weight: 500;
        max-width: 350px;
        overflow: hidden;
        white-space: nowrap;
        text-overflow: ellipsis;
        position: relative;

        @include caption-1;

        &:first-child {
            padding-left: 24px;
        }

        &:last-child {
            padding-right: 24px;
        }
    }

    th {
        padding: 16px 8px;
        text-align: left;
        font-weight: 400;
        min-width: 32px;
        background-color: $gray-200;
        color: #333;

        @include caption-1;

        &:first-child {
            padding-left: 24px;
        }

        &:last-child {
            padding-right: 32px;
        }
    }

    tr:hover {
        background-color: $gray-200;
    }

    tr.selected {
        background-color: $gray-color-200;
    }

    &__no-results {
        padding: 24px;
        color: $gray-500 !important;
    }

    &-tooltip {
        background: $gray-800 !important;
        z-index: 100;
        max-width: 296px;
        border-radius: $border-radius !important;
        padding: 0.75rem !important;
    }
}
